Bug 1409703 - [abrt] WARNING: CPU: 4 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1790 iwl_trans_pcie_grab_nic_access+0xeb/0xf0 [iwlwifi]
Summary: [abrt] WARNING: CPU: 4 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/tran...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cfd1a2dfe9687711e709a7f38a2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 04:16 UTC by Dan Loomis
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:17:49 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (170.44 KB, text/plain)
2017-01-03 04:16 UTC, Dan Loomis
no flags Details
dmesg out (8.14 KB, text/plain)
2017-07-15 01:58 UTC, Jonathan Nicol
no flags Details

Description Dan Loomis 2017-01-03 04:16:14 UTC
Description of problem:
Watching Youtube video.   Network went dead.

Additional info:
reporter:       libreport-2.8.0
WARNING: CPU: 4 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1790 iwl_trans_pcie_grab_nic_access+0xeb/0xf0 [iwlwifi]
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: nls_utf8 udf crc_itu_t rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_raw ip6table_security ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_raw iptable_security iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep arc4 tpm_infineon hp_wmi iTCO_wdt iTCO_vendor_support mei_wdt ppdev sparse_keymap intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm iwlmvm irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore
 mac80211 intel_rapl_perf snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi i2c_i801 snd_hda_intel i2c_smbus snd_hda_codec snd_hda_core uvcvideo iwlwifi snd_hwdep btusb videobuf2_vmalloc videobuf2_memops btrtl videobuf2_v4l2 snd_seq btbcm videobuf2_core btintel snd_seq_device lpc_ich bluetooth videodev snd_pcm cfg80211 joydev media rtsx_pci_ms snd_timer memstick snd rfkill soundcore mei_me mei parport_pc wmi parport ie31200_edac shpchp edac_core hp_accel lis3lv02d tpm_tis input_polldev tpm_tis_core hp_wireless tpm video nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_hidpp amdkfd amd_iommu_v2 radeon hid_logitech_dj rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper ttm crc32c_intel uas drm e1000e usb_storage serio_raw rtsx_pci ptp pps_core fjes
CPU: 4 PID: 0 Comm: swapper/4 Not tainted 4.8.15-300.fc25.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.08 03/16/2015
 0000000000000086 ba67fc22e92ea116 ffff92669dd03c88 ffffffffb13e5e1d
 ffff92669dd03cd8 0000000000000000 ffff92669dd03cc8 ffffffffb10a0e8b
 000006fe8adde450 ffff92668a1b0000 ffff92668a1b7e24 ffff92669dd03d68
Call Trace:
 <IRQ>  [<ffffffffb13e5e1d>] dump_stack+0x63/0x86
 [<ffffffffb10a0e8b>] __warn+0xcb/0xf0
 [<ffffffffb10a0f0f>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffffc08da74b>] iwl_trans_pcie_grab_nic_access+0xeb/0xf0 [iwlwifi]
 [<ffffffffc08d851c>] iwl_trans_pcie_read_mem+0x3c/0xc0 [iwlwifi]
 [<ffffffffc08dc66c>] iwl_trans_pcie_log_scd_error+0x7c/0x2f0 [iwlwifi]
 [<ffffffffc08cba88>] ? __iwl_err+0x68/0x90 [iwlwifi]
 [<ffffffffc08d32d0>] ? iwl_pcie_txq_inc_wr_ptr+0xf0/0xf0 [iwlwifi]
 [<ffffffffc08d333a>] iwl_pcie_txq_stuck_timer+0x6a/0x90 [iwlwifi]
 [<ffffffffb110f795>] call_timer_fn+0x35/0x120
 [<ffffffffb111039e>] run_timer_softirq+0x20e/0x4a0
 [<ffffffffb1118301>] ? ktime_get+0x41/0xb0
 [<ffffffffb102fe79>] ? sched_clock+0x9/0x10
 [<ffffffffb18068f2>] __do_softirq+0x112/0x2ab
 [<ffffffffb10a6ad8>] irq_exit+0xe8/0xf0
 [<ffffffffb18066f2>] smp_apic_timer_interrupt+0x42/0x50
 [<ffffffffb18058ac>] apic_timer_interrupt+0x8c/0xa0
 <EOI>  [<ffffffffb1689462>] ? cpuidle_enter_state+0x122/0x2c0
 [<ffffffffb1689637>] cpuidle_enter+0x17/0x20
 [<ffffffffb10e534a>] call_cpuidle+0x2a/0x50
 [<ffffffffb10e5730>] cpu_startup_entry+0x2a0/0x350
 [<ffffffffb104a534>] start_secondary+0x154/0x190

Comment 1 Dan Loomis 2017-01-03 04:16:28 UTC
Created attachment 1236758 [details]
File: dmesg

Comment 2 Emmanuel Grumbach 2017-01-11 17:49:13 UTC
This is a PCIe link failure:

[70172.185004] WARNING: CPU: 4 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1790 iwl_trans_pcie_grab_nic_access+0xeb/0xf0 [iwlwifi]
[70172.185004] Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)

Unfortunately, we can't do anything about this kind of things.

Comment 3 Laura Abbott 2017-01-17 01:19:09 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 4 Dan Loomis 2017-01-31 03:24:30 UTC
I have been running 4.9 in Fedora 25 since it was rolled out.   Now at 
[djl@antares ~]$ uname -a
Linux antares 4.9.5-200.fc25.x86_64 #1 SMP Fri Jan 20 12:24:16 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

This problem occurred infrequently and was not something I could reproduce.   I have not seen a recurrence of this issue recently.   The only thing I have seen is the wifi stopped working but I was able to turn off the adapter, turn it back on and continue.  

Go ahead and close this report.   If it occurs again I can open a new report.

Comment 5 Laura Abbott 2017-02-01 17:29:08 UTC
Thanks for letting us know.

Comment 6 Dan Loomis 2017-02-11 20:10:28 UTC
Description of problem:
Watching a video on the net when the wifi stopped working.   
Turning the wifi off and on has no effect.
This has been an intermittant problem for the past several releases

Version-Release number of selected component:
kernel-core-4.9.8-201.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.9.8-201.fc25.x86_64 root=/dev/mapper/fedora_antares-root ro rd.lvm.lv=fedora_antares/root rd.lvm.lv=fedora_antares/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.9.8-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1864 iwl_trans_pcie_grab_nic_access+0xeb/0xf0 [iwlwifi]
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep arc4 tpm_infineon iTCO_wdt hp_wmi ppdev iTCO_vendor_support sparse_keymap mei_wdt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm iwlmvm irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore intel_rapl_perf
 mac80211 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel i2c_i801 snd_hda_codec i2c_smbus uvcvideo snd_hda_core iwlwifi snd_hwdep videobuf2_vmalloc snd_seq videobuf2_memops btusb videobuf2_v4l2 videobuf2_core btrtl snd_seq_device btbcm btintel videodev bluetooth cfg80211 media joydev snd_pcm rtsx_pci_ms memstick snd_timer rfkill snd soundcore lpc_ich parport_pc wmi parport ie31200_edac mei_me mei hp_accel edac_core lis3lv02d input_polldev video shpchp tpm_tis hp_wireless tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_hidpp hid_logitech_dj amdkfd amd_iommu_v2 radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper ttm crc32c_intel e1000e drm serio_raw uas usb_storage rtsx_pci ptp pps_core fjes
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.9.8-201.fc25.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.08 03/16/2015
 ffff96511dc03cc8 ffffffffb73f442d ffff96511dc03d18 0000000000000000
 ffff96511dc03d08 ffffffffb70a202b 000007480aec33e0 ffff96510a180028
 ffff96510a187e90 ffff96511dc03da8 000000000080bb20 ffff96510a20cc80
Call Trace:
 <IRQ> 
 [<ffffffffb73f442d>] dump_stack+0x63/0x86
 [<ffffffffb70a202b>] __warn+0xcb/0xf0
 [<ffffffffb70a20af>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffffc0a57efb>] iwl_trans_pcie_grab_nic_access+0xeb/0xf0 [iwlwifi]
 [<ffffffffc0a55cdc>] iwl_trans_pcie_read_mem+0x3c/0xc0 [iwlwifi]
 [<ffffffffc0a59f00>] iwl_trans_pcie_log_scd_error+0xb0/0x300 [iwlwifi]
 [<ffffffffc0a48a78>] ? __iwl_err+0x68/0x90 [iwlwifi]
 [<ffffffffc0a506f0>] ? iwl_pcie_txq_inc_wr_ptr+0x100/0x100 [iwlwifi]
 [<ffffffffc0a50761>] iwl_pcie_txq_stuck_timer+0x71/0x90 [iwlwifi]
 [<ffffffffb71122b5>] call_timer_fn+0x35/0x120
 [<ffffffffb7112ebe>] run_timer_softirq+0x20e/0x4a0
 [<ffffffffb711ae41>] ? ktime_get+0x41/0xb0
 [<ffffffffb702fdf9>] ? sched_clock+0x9/0x10
 [<ffffffffb70d38a9>] ? sched_clock_cpu+0x99/0xb0
 [<ffffffffb7820c2c>] __do_softirq+0x10c/0x2a2
 [<ffffffffb70a84af>] irq_exit+0xff/0x110
 [<ffffffffb7820a32>] smp_apic_timer_interrupt+0x42/0x50
 [<ffffffffb781fbec>] apic_timer_interrupt+0x8c/0xa0
 <EOI> 
 [<ffffffffb76a92e2>] ? cpuidle_enter_state+0x122/0x2c0
 [<ffffffffb76a94b7>] cpuidle_enter+0x17/0x20
 [<ffffffffb70e7863>] call_cpuidle+0x23/0x40
 [<ffffffffb70e7adb>] cpu_startup_entry+0x15b/0x240
 [<ffffffffb7810527>] rest_init+0x77/0x80
 [<ffffffffb7f81feb>] start_kernel+0x45f/0x480
 [<ffffffffb7f81120>] ? early_idt_handler_array+0x120/0x120
 [<ffffffffb7f812ca>] x86_64_start_reservations+0x24/0x26
 [<ffffffffb7f81419>] x86_64_start_kernel+0x14d/0x170

Comment 7 Dan Loomis 2017-02-11 20:12:23 UTC
Reopened as new since this problem is happening in F25 and Kernel 4.9

Comment 8 Justin M. Forbes 2017-04-11 14:48:54 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 9 Dan Loomis 2017-04-26 03:32:27 UTC
Still occurring intermittently running:
Linux antares 4.10.10-200.fc25.x86_64 #1 SMP Thu Apr 13 01:11:51 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Comment 10 Dan Loomis 2017-04-28 05:40:26 UTC
Happened again running
Linux antares 4.10.11-200.fc25.x86_64 #1 SMP Tue Apr 18 17:25:01 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Comment 11 Jonathan Nicol 2017-07-15 01:57:22 UTC
I've had several occurrences in fc26:
 4.11.9-300.fc26.x86_64 #1 SMP Wed Jul 5 16:21:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

WARNING: CPU: 1 PID: 860 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1913 iwl_trans_pcie_grab_nic_access+0xeb/0xf0 [iwlwifi]
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)

dmesg attached

Comment 12 Jonathan Nicol 2017-07-15 01:58:08 UTC
Created attachment 1298726 [details]
dmesg out

dmesg

Comment 13 Jonathan Nicol 2017-07-25 19:14:43 UTC
this is still happening with 4.11.11-300.fc26.x86_64, crashes every few hours necessitating a reboot.

Comment 14 Jonathan Nicol 2017-07-25 23:15:29 UTC
I accidentally omitted this from my previous dmesg output, could the firmware load error be related?

[    7.443211] iwlwifi 0000:03:00.0: enabling device (0000 -> 0002)
[    7.446461] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8000C-28.ucode failed with error -2
[    7.453283] iwlwifi 0000:03:00.0: capa flags index 3 larger than supported by driver
[    7.454980] iwlwifi 0000:03:00.0: loaded firmware version 27.455470.0 op_mode iwlmvm
[    7.813356] iwlwifi 0000:03:00.0: Detected Intel(R) Dual Band Wireless AC 8260, REV=0x208


/lib/firmware $ ls iwlwifi-8000C-*
iwlwifi-8000C-13.ucode  iwlwifi-8000C-16.ucode  iwlwifi-8000C-21.ucode  iwlwifi-8000C-22.ucode  iwlwifi-8000C-27.ucode

iwl7260-firmware-25.30.13.0-75.fc26.noarch

Comment 15 Jonathan Nicol 2017-08-04 23:24:15 UTC
I have a better workaround than rebooting:

echo -n 1 > /sys/devices/pci0000\:00/0000:00:1c.2/0000:03:00.0/remove
echo -n 1 > /sys/devices/pci0000\:00/0000:00:1c.2/rescan

(your PCI address may vary: # find /sys/devices -iname wlp* )

Comment 16 Fedora End Of Life 2017-11-16 15:36:14 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Jonathan Nicol 2017-11-16 22:24:54 UTC
This bug should have been updated to FC26, but I haven't had this problem in months; somewhere along the line I suspect a kernel upgrade fixed it. Sorry I wasn't paying enough attention to say exactly which version.

Perhaps OP or others can chime in if they still have the issue.

Comment 18 Fedora End Of Life 2017-12-12 10:17:49 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.